write.r8s <- 
function(x, method = "PL", path = "/Applications/r8s1.71/bin/"){
	
	ncha <- dim(x$sequences[[1]])[2]
	
	cons <- x$constraints
	ncons <- dim(cons)[1]
	rcons <- mrca <- vector(length = ncons)
	for (i in 1:ncons){
		mrca[i] <- paste("  MRCA", rownames(cons)[i], cons[i, 2], 			cons[i, 3], ";")
		bound <- if (as.character(cons[i, 1]) == "U") "maxage" 			else "minage"
		rcons[i] <- paste("  constraints taxon=", 			rownames(cons)[i], " ", bound, "=", cons[i, 4], 			";", sep = "")
	}
	
	divtime <- paste("  divtime method", method, 		" algorithm= TN;", sep = "")
	
	write.nexus(file = "aa", ox.in$final.tree, translate = FALSE)
	tree <- scan("aa", what = "c", quiet = TRUE)
	file.remove("aa")
	
	
	r8s <- "begin r8s;"
	r8s <- c(r8s, paste("  blformat lengths=persite nsites=", 		ncha, " ultrametric=no;"))
	r8s <- c(r8s, mrca, rcons, divtime, "end;")
	
	out <- c(tree, r8s)
	write(out, file = paste(path, "input", sep = ""))
	system("./r8s -f input.nex")
}