\name{DESCENDANTS}
\alias{DESCENDANTS}
\title{Descendants of an internal node}
\description{
For any given internal node of a phylogeny, the functions returns a vector containing the numbers of tip lables descending from that node.
}
\usage{
DESCENDANTS(tree, node)
}
\arguments{
  \item{tree}{An object of class \code{phylo}}
  \item{node}{An integer giving the number of the internal node.}
}

\value{
  A vector containing numbers of tip labels. 
}

\author{Christoph Heibl}

\examples{
 library(ape)
 tree <- rtree(12)
 x <- DESCENDANTS(tree, 15)
}

\keyword{phylogenetic tree}
\keyword{internal node}
\keyword{descendant nodes}
\keyword{tip labels}
