\name{LAGOPUS-package}
\alias{LAGOPUS-package}
\alias{LAGOPUS}
\docType{package}
\title{Bayesian relaxed clock molecular dating}
\description{
The package consists of o set of functions that offers Bayesian relaxed clock molecular dating in R. 
}
\details{
\tabular{ll}{
Package: \tab LAGOPUS\cr
Type: \tab Package\cr
Version: \tab NA\cr
 Date: \tab 2013-04-29\cr
License: \tab GNU General Public License Version 2, June 1991\cr
}
multidivtime is the core function.
}
\author{Christoph Heibl, Natalie Cusimano 
Maintainer: Christoph Heibl \email{christoph.heibl@gmx.net}}
\references{
Kishino, H., J.L. Thorne, and W.J. Bruno. 2001. Performance of a divergence time estimation method under a probabilistic model of rate evolution. Mol. Biol. Evol. 18: 352-361.
Thorne, J.L., H. Kishino, and I.S. Painter. 1998. Estimating the rate of evolution of the rate of molecular evolution. Mol. Biol. Evol. 15: 1647-1657.
Thorne, J.L. and H. Kishino. 2002. Divergence time and evolutionary rate estimation with multilocus data. Syst. Biol. 51: 689-702.
Yang, Z. 2007. PAML 4: a program package for phylogenetic analysis by maximum likelihood.  Molecular Biology and Evolution 24: 1586-1591. \url{http://abacus.gene.ucl.ac.uk/software/paml.html}
}
\keyword{package}
\examples{
# Load test data.	
data(test)
# Create object of class 'mdt.in'.
x <- mdt.in(gene1, tree1, cons1)
# Load defaults for baseml and multidivtime control files.
data(baseml.ctr)
data(multicntrl.dat)
# Have a look at '?baseml.ctr' and 'multicntrl.dat' for how
# to change the defaults.
## not run: Specify a path to the executables.
# path <- "/Applications/multidistribute"
## not run: Start multidivtime on the data stored in x.
# multidivtime(x, path = path)
## not run: Run another MCMC on the same data set, but with
## different constraints.
# x2 <- mdt.in(gene1, tree1, cons2)
# multidivtime(x2, path = path, start = "multidivtime")
## not run: Run another three MCMC runs on data set x. 
# multidivtime(x, path = path, start = "multidivtime", runs = 3)
}
