\name{mdt.in}
\alias{mdt.in}
\title{Create multidivtime input}
\description{
This functions bundles one or more sequence alignments, one or more phylogentic trees and a constraints table into an object of class \code{"mdt.in"} used by the \code{"multidivtime"}. 
}
\usage{
mdt.in(\dots)
}
\arguments{
  \item{\dots}{Comma-separated list of objects of classes \code{"DNAbin"}, \code{"phylo"}, and \code{"data.frame"}}
}
\details{
DNA sequence alignments and phylogenetic trees must be of classes \code{"DNAbin"} and \code{"phylo"}, respectively. Tree objects can follow alignment objects (dna1, dna2, tree1, tree2) or be mixed with them (dna1, tree1, dna2, tree2) as long as both appear in the same order. Trees can have branchlengths; these are dropped by the function.
}

\value{
  a list containing
  \item{partitions}{integer indicating the number of partitions found}
  \item{sequences}{list of DNA matrices of class \code{"DNAbin"}}
  \item{trees}{list of \code{"phylo"} objects}
  \item{final.tree}{\code{"phylo"} object on which the Bayesian analysis is performed}
  \item{constraints}{data.frame with the age constraints stored in it}
}

\author{Christoph Heibl}

\seealso{\link{multidivtime}}

\examples{
data(test)
x <- mdt.in(gene1, gene2, gene3, tree1, tree2, tree3, cons1)

}